//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SWINDOW.H

#if !defined(__SFX_SWINDOW_H)
#define __SFX_SWINDOW_H

#if !defined(__OWL_WINDOW_H)
  #include <owl\window.h>
#endif

//  class TSFXWindow

class _OWLCLASS TSFXWindow : virtual public TWindow
{
  public:
	TSFXWindow(TWindow*        parent,
			   const char far* title = 0,
			   TModule*        module = 0);

  protected:
	virtual void      GetWindowClass(WNDCLASS& wndClass);

	//	call SFXDefWindowProc() instead of DefWindowProc()
	LRESULT           DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

  DECLARE_RESPONSE_TABLE(TSFXWindow);
  DECLARE_STREAMABLE_FROM_BASE(_OWLCLASS, TSFXWindow, TWindow);
};

#endif  // __SFX_SWINDOW_H
